# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring specific app values (TO CHANGE)


def install():
    # Specific app values
    package_version = control.version.split("-", 1)[0]
    package_version_split = package_version.split(".")
    short_package_version = "%s.%s.%s" % (package_version_split[0], package_version_split[1], package_version_split[2])
    # print(short_package_version)

    # Installing the package
    install_exe_if_needed(
        "Plex-%s-x86_64.exe" % package_version,
        silentflags="/S",
        key="Plex",
        min_version=short_package_version,
        accept_returncodes=[0, 3010, 1223],
    )

    killalltasks(control.impacted_process)
